import time, datetime
from typing import Optional
from pydantic import BaseModel, ConfigDict, Field
from ..libvirt.dom.stats import Stats, Memory

class MemorySwap(BaseModel):
    swp_in:Optional[int] = Field(default=None)
    swp_out:Optional[int] = Field(default=None)

class Memory(Memory):
    swap:MemorySwap = Field()

class Stats(Stats):
    memory:Memory = Field()
    
class MongoStats(Stats):
    model_config = ConfigDict(arbitrary_types_allowed=True)
    
    created_at: int = Field(default=time.time(), alias='created_at')